using System.Text.Json.Serialization;
using Newtonsoft.Json;

namespace TwitchChatTTS.Veadotube
{
    public class VeadoPayloadMessage
    {
        public string Event { get; set; }
        public string Type { get; set; }
        public string Id { get; set; }
        public object Payload { get; set; }
    }

    public class VeadoEventMessage
    {
        [JsonPropertyName("event")]
        public string Event { get; set; }
    }

    public class VeadoNodeState {
        public string Id { get; set; }
        public string Name { get; set; }
    }

    public class VeadoNodeStateListMessage : VeadoEventMessage {
        public IEnumerable<VeadoNodeState> Entries { get; set; }
    }

    public class VeadoNodeStateMessage : VeadoEventMessage {
        public string State { get; set; }
    }

    public class VeadoNodeThumbMessage {
        public int Width { get; set; }
        public int Height { get; set; }
        public string Png { get; set; }
    }
}